Package ru.bitel.bgbilling.plugins.edo.common.bean

# Class Signatory

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.edo.common.bean.Signatory

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Signatory extends IdTitle
Подписант, здесь же инфа об организации возможно может быть. Отдельно на организацию-подписант не разбито из оображений что маловероятно что будет множество подписантов внутри одной организации, вероятность разных организаций с разными атрибутами для разных подписантов в системе гораздо больше.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static Object[][]`
  `STATIC_FIELDS`
  Фиксированные поля нужные потенциально везде, всё остальное будет в доп.конфиге [Имя поля, обязательность, камент]

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Signatory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfig()`
  `void`
  `setConfig(String config)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### STATIC_FIELDS

    public static Object[][] STATIC_FIELDS
    Фиксированные поля нужные потенциально везде, всё остальное будет в доп.конфиге [Имя поля, обязательность, камент]

- ## Constructor Details

  - ### Signatory

    public Signatory()

- ## Method Details

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)